> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://ixopay.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://ixopay.ferndocs.com/_mcp/server.

# Start a schedule

POST https://gateway.ixopay.com/api/v3/schedule/{apiKey}/start
Content-Type: application/json

Requires the registrationId of an existing transaction of type Register, Debit-with-register, or Preauthorize-with-register.

Reference: https://ixopay.ferndocs.com/developer-hub/api-reference/transaction-api/schedule/start-schedule

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Request

### Path parameters

- `apiKey` (string, required) — API Key of Connector

### Body (application/json)

This endpoint expects a StartSchedule.

- `registrationUuid` (string, required)
- `amount` (string, optional)
- `currency` (enum, optional) — ISO 4217 three-letter currency code (e.g. EUR, USD, GBP).
  - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHF`, `CLP`, `CNY`, `COP`, `CRC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRU`, `MUR`, `MVR`, `MWK`, `MXN`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLE`, `SOS`, `SRD`, `SSP`, `STN`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `UYU`, `UZS`, `VES`, `VND`, `VUV`, `WST`, `XAD`, `XAF`, `XCD`, `XCG`, `XOF`, `XPF`, `YER`, `ZAR`, `ZMW`, `ZWG`
- `periodLength` (double, optional)
- `periodUnit` (enum, optional)
  - Allowed values: `DAY`, `WEEK`, `MONTH`, `YEAR`
- `startDateTime` (string, optional)
- `merchantMetaData` (string, optional)
- `callbackUrl` (string, optional)

## Response

### 200

Schedule response

- `success` (boolean, optional)
- `scheduleId` (string, optional)
- `registrationId` (string, optional)
- `oldStatus` (enum, optional)
  - Allowed values: `ACTIVE`, `PAUSED`, `CANCELLED`, `ERROR`, `CREATE-PENDING`
- `newStatus` (enum, optional)
  - Allowed values: `ACTIVE`, `PAUSED`, `CANCELLED`, `ERROR`, `CREATE-PENDING`
- `scheduledAt` (string, optional)
- `merchantMetaData` (string, optional)

## Examples

### success

**Response**

```json
{
  "success": true,
  "scheduleId": "SC-1234-1234-1234-1234-1234-1234",
  "oldStatus": "ACTIVE",
  "newStatus": "ACTIVE",
  "scheduledAt": "2019-09-30T12:00:00+00:00"
}
```

**SDK Code**

```python success
import requests

url = "https://gateway.ixopay.com/api/v3/schedule/apiKey/start"

response = requests.post(url, auth=("<username>", "<password>"))

print(response.json())
```

```javascript success
const url = 'https://gateway.ixopay.com/api/v3/schedule/apiKey/start';
const credentials = btoa("<username>:<password>");

const options = {method: 'POST', headers: {Authorization: `Basic ${credentials}`}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go success
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://gateway.ixopay.com/api/v3/schedule/apiKey/start"

	req, _ := http.NewRequest("POST", url, nil)

	req.SetBasicAuth("<username>", "<password>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby success
require 'uri'
require 'net/http'

url = URI("https://gateway.ixopay.com/api/v3/schedule/apiKey/start")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request.basic_auth("<username>", "<password>")

response = http.request(request)
puts response.read_body
```

```java success
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://gateway.ixopay.com/api/v3/schedule/apiKey/start")
  .basicAuth("<username>", "<password>")
  .asString();
```

```php success
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://gateway.ixopay.com/api/v3/schedule/apiKey/start', [
  'headers' => [
  ],
    'auth' => ['<username>', '<password>'],
]);

echo $response->getBody();
```

```csharp success
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://gateway.ixopay.com/api/v3/schedule/apiKey/start");
client.Authenticator = new HttpBasicAuthenticator("<username>", "<password>");
var request = new RestRequest(Method.POST);

IRestResponse response = client.Execute(request);
```

```swift success
import Foundation

let credentials = Data("<username>:<password>".utf8).base64EncodedString()

let headers = ["Authorization": "Basic \(credentials)"]

let request = NSMutableURLRequest(url: NSURL(string: "https://gateway.ixopay.com/api/v3/schedule/apiKey/start")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### error

**Response**

```json
{
  "success": false
}
```

**SDK Code**

```python error
import requests

url = "https://gateway.ixopay.com/api/v3/schedule/apiKey/start"

response = requests.post(url, auth=("<username>", "<password>"))

print(response.json())
```

```javascript error
const url = 'https://gateway.ixopay.com/api/v3/schedule/apiKey/start';
const credentials = btoa("<username>:<password>");

const options = {method: 'POST', headers: {Authorization: `Basic ${credentials}`}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go error
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://gateway.ixopay.com/api/v3/schedule/apiKey/start"

	req, _ := http.NewRequest("POST", url, nil)

	req.SetBasicAuth("<username>", "<password>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby error
require 'uri'
require 'net/http'

url = URI("https://gateway.ixopay.com/api/v3/schedule/apiKey/start")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request.basic_auth("<username>", "<password>")

response = http.request(request)
puts response.read_body
```

```java error
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://gateway.ixopay.com/api/v3/schedule/apiKey/start")
  .basicAuth("<username>", "<password>")
  .asString();
```

```php error
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://gateway.ixopay.com/api/v3/schedule/apiKey/start', [
  'headers' => [
  ],
    'auth' => ['<username>', '<password>'],
]);

echo $response->getBody();
```

```csharp error
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://gateway.ixopay.com/api/v3/schedule/apiKey/start");
client.Authenticator = new HttpBasicAuthenticator("<username>", "<password>");
var request = new RestRequest(Method.POST);

IRestResponse response = client.Execute(request);
```

```swift error
import Foundation

let credentials = Data("<username>:<password>".utf8).base64EncodedString()

let headers = ["Authorization": "Basic \(credentials)"]

let request = NSMutableURLRequest(url: NSURL(string: "https://gateway.ixopay.com/api/v3/schedule/apiKey/start")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### schedule_startSchedule_example

**Request**

```json
{
  "registrationUuid": "abcde01234abcde01234",
  "amount": "9.99",
  "currency": "EUR",
  "periodLength": 6,
  "periodUnit": "MONTH",
  "startDateTime": "2019-09-30T01:00:00+00:00"
}
```

**Response**

```json
{
  "success": true,
  "scheduleId": "SC-1234-1234-1234-1234-1234-1234",
  "oldStatus": "ACTIVE",
  "newStatus": "ACTIVE",
  "scheduledAt": "2019-09-30T12:00:00+00:00"
}
```

**SDK Code**

```python schedule_startSchedule_example
import requests

url = "https://gateway.ixopay.com/api/v3/schedule/apiKey/start"

payload = {
    "registrationUuid": "abcde01234abcde01234",
    "amount": "9.99",
    "currency": "EUR",
    "periodLength": 6,
    "periodUnit": "MONTH",
    "startDateTime": "2019-09-30T01:00:00+00:00"
}
headers = {
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers, auth=("<username>", "<password>"))

print(response.json())
```

```javascript schedule_startSchedule_example
const url = 'https://gateway.ixopay.com/api/v3/schedule/apiKey/start';
const credentials = btoa("<username>:<password>");

const options = {
  method: 'POST',
  headers: {
    Authorization: `Basic ${credentials}`,
    'Content-Type': 'application/json'
  },
  body: '{"registrationUuid":"abcde01234abcde01234","amount":"9.99","currency":"EUR","periodLength":6,"periodUnit":"MONTH","startDateTime":"2019-09-30T01:00:00+00:00"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go schedule_startSchedule_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://gateway.ixopay.com/api/v3/schedule/apiKey/start"

	payload := strings.NewReader("{\n  \"registrationUuid\": \"abcde01234abcde01234\",\n  \"amount\": \"9.99\",\n  \"currency\": \"EUR\",\n  \"periodLength\": 6,\n  \"periodUnit\": \"MONTH\",\n  \"startDateTime\": \"2019-09-30T01:00:00+00:00\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.SetBasicAuth("<username>", "<password>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby schedule_startSchedule_example
require 'uri'
require 'net/http'

url = URI("https://gateway.ixopay.com/api/v3/schedule/apiKey/start")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request.basic_auth("<username>", "<password>")
request["Content-Type"] = 'application/json'
request.body = "{\n  \"registrationUuid\": \"abcde01234abcde01234\",\n  \"amount\": \"9.99\",\n  \"currency\": \"EUR\",\n  \"periodLength\": 6,\n  \"periodUnit\": \"MONTH\",\n  \"startDateTime\": \"2019-09-30T01:00:00+00:00\"\n}"

response = http.request(request)
puts response.read_body
```

```java schedule_startSchedule_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://gateway.ixopay.com/api/v3/schedule/apiKey/start")
  .basicAuth("<username>", "<password>")
  .header("Content-Type", "application/json")
  .body("{\n  \"registrationUuid\": \"abcde01234abcde01234\",\n  \"amount\": \"9.99\",\n  \"currency\": \"EUR\",\n  \"periodLength\": 6,\n  \"periodUnit\": \"MONTH\",\n  \"startDateTime\": \"2019-09-30T01:00:00+00:00\"\n}")
  .asString();
```

```php schedule_startSchedule_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://gateway.ixopay.com/api/v3/schedule/apiKey/start', [
  'body' => '{
  "registrationUuid": "abcde01234abcde01234",
  "amount": "9.99",
  "currency": "EUR",
  "periodLength": 6,
  "periodUnit": "MONTH",
  "startDateTime": "2019-09-30T01:00:00+00:00"
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
    'auth' => ['<username>', '<password>'],
]);

echo $response->getBody();
```

```csharp schedule_startSchedule_example
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://gateway.ixopay.com/api/v3/schedule/apiKey/start");
client.Authenticator = new HttpBasicAuthenticator("<username>", "<password>");
var request = new RestRequest(Method.POST);

request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"registrationUuid\": \"abcde01234abcde01234\",\n  \"amount\": \"9.99\",\n  \"currency\": \"EUR\",\n  \"periodLength\": 6,\n  \"periodUnit\": \"MONTH\",\n  \"startDateTime\": \"2019-09-30T01:00:00+00:00\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift schedule_startSchedule_example
import Foundation

let credentials = Data("<username>:<password>".utf8).base64EncodedString()

let headers = [
  "Authorization": "Basic \(credentials)",
  "Content-Type": "application/json"
]
let parameters = [
  "registrationUuid": "abcde01234abcde01234",
  "amount": "9.99",
  "currency": "EUR",
  "periodLength": 6,
  "periodUnit": "MONTH",
  "startDateTime": "2019-09-30T01:00:00+00:00"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://gateway.ixopay.com/api/v3/schedule/apiKey/start")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```